#
# spec file for package guayadeque
#
# Copyright (c) 2015 Packman Team <packman@links2linux.de>
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org
#


Name:           guayadeque
Version:        0.4.5
Release:        2.21
Summary:        Guayadeque Music Player
License:        GPL-3.0+
Group:          Productivity/Multimedia/Sound/Players
Url:            http://guayadeque.org
Source:         https://github.com/anonbeat/guayadeque/archive/v%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files

BuildRequires:  gettext-tools
BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(taglib) >= 1.6.4
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(libgpod-1.0)
BuildRequires:  pkgconfig(wxsqlite3)
BuildRequires:  wxWidgets-devel >= 3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Guayadeque is a music management program designed for all music enthusiasts. It
is Full Featured Linux media player that can easily manage large collections
and uses the Gstreamer media framework.

%prep
%setup -q

%build
find . -type f -name CMakeCache.txt -print -delete
rm -fv build*
%cmake \
	-DCMAKE_CXX_STANDARD="11"
make %{?_smp_mflags}

%install
%make_install -C build

%suse_update_desktop_file -r %{name} AudioVideo Player

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc changelog LICENSE README
%{_bindir}/guayadeque
%{_datadir}/appdata
%{_datadir}/applications/guayadeque.desktop
%{_datadir}/guayadeque
%{_datadir}/pixmaps/guayadeque.png

%changelog
* Wed Feb 22 2017 olaf@aepfle.de
- Update to version 0.4.5
* Mon Nov  2 2015 aloisio@gmx.com
- Update to version 0.3.7
  * Removed Flac library dependency. Now flac images are
    read/writen using taglib
  * Fixed compilation without external libwxsqlite support
  * Fixed audio output autoconfiguring option
  * Fixed load tracks from command line or file manager
  * Added mpris 2.2 support
  * Made Guayadeque Interface more clean
  * Removed bug that crashed guayadeque when used del in a dynamic
    playlist
  * Added TuneIn radio support
  * Added option to rename podcast channel name
  * Added option in Preferences -> Playback the option to write
    the complete output pipeline
  * Added Seeked mpris2 signal
  * Fixed amazon cover download engine
- Dropped flac-devel requirement
* Mon Aug 20 2012 pascal.bleser@opensuse.org
- initial version (0.3.5)
